<?php
error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
session_start();
if((($_SERVER['SERVER_ADDR']==$_SESSION['demo_server_ip']) && ($_SERVER['REMOTE_ADDR']!=$_SESSION['demo_developer_ip']) && ($_SESSION['id_user']==$_SESSION['demo_user_id'])) || ($_SESSION['sml_si']!=session_id())) {
    //DEMO CHECK
    die();
}
require_once("../../db/connection.php");
$id_geodata = (int)$_POST['id_geodata'];
$id_categories = $_POST['id_categories'];
$mysqli->query("DELETE FROM sml_geodata_categories_assoc WHERE id_geodata=$id_geodata;");
foreach ($id_categories as $id_category) {
    $query = "INSERT INTO sml_geodata_categories_assoc(id_geodata, id_category) VALUES(?,?)";
    if($smt = $mysqli->prepare($query)) {
        $smt->bind_param('ii', $id_geodata, $id_category);
        $smt->execute();
    }
}